:root {
  --main-white: #ececec;
  --main-orange: rgb(155, 66, 14);
  --main-brown: rgb(173, 110, 82);
  --main-gray: #303841;
}
*,
*::before,
*::after {
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}
section {
  scroll-margin-top: 70px;
}
body {
  font-family: "Open Sans", Poppins, sans-serif;
  font-size: 1.6rem;
}
header {
  background: var(--main-orange);
  width: 100%;
  height: 70px;
  display: flex;
  position: fixed;
  top: 0;
  justify-content: space-between;
  align-items: center;
  /* x-offset y-offset blur-radius spread-radius */
  box-shadow: 0 0 5px 1px black;
}
#site-logo {
  height: 100%;
  font-family: "Times New Roman", Times, serif;
  user-select: none;
  color: var(--main-white);
  font-size: 3.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 10px;
}
#site-logo-checkbox-hack {
  opacity: 0;
  position: absolute;
}
#site-logo-checkbox-hack:checked + label {
  animation: flip 1s;
  text-shadow: 0 0 10px goldenrod;
}

nav {
  width: min(341px, 50%);
  height: 100%;
  display: flex;
  justify-content: space-around;
}
@media screen and (max-width: 445px) {
  nav {
    display: none;
  }
}
nav a {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: var(--main-white);
  font-size: 2.2rem;
}
nav a:hover {
  background: var(--main-brown);
}
main {
  margin-top: 70px;
}
#hero {
  width: 100%;
  height: 100vh;
  margin-top: -70px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: linear-gradient(62deg, #3a3d40 0%, #181719 100%);
}
#hero * {
  margin: 0;
}
#hero h1 {
  color: var(--main-white);
  font-size: 5.5rem;
  margin-bottom: 10px;
  font-weight: 600;
}
#hero p {
  font-size: 3.5rem;
  font-style: italic;
  color: var(--main-orange);
  font-weight: 200;
  font-family: Poppins, sans-serif;
}
#Projects {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 20px;
  background: var(--main-brown);
  padding-bottom: 80px;
}
#Projects h2 {
  color: var(--main-white);
  font-size: 4rem;
  text-decoration: underline;
}
.projects-grid {
  width: min(100%, 1212px);
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 30px;
}
.project-card {
  width: 100%;
  height: 400px;
  box-shadow: 0 0 5px 1px rgb(0, 0, 0);
  display: block;
  text-decoration: none;
  align-items: center;
}
.project-card img {
  width: 100%;
  height: 85%;
  display: block;
  object-fit: cover;
}
.project-card p {
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--main-gray);
  width: 100%;
  height: 15%;
  margin: 0;
  color: var(--main-white);
  font-size: 2rem;
  text-align: center;
}
.project-card p::before {
  color: var(--main-gray);
  content: "<";
  margin-right: 5px;
  font-size: 3rem;
  transition: color 0.2s;
}
.project-card p::after {
  font-size: 3rem;
  color: var(--main-gray);
  content: "/>";
  margin-left: 5px;
  transition: color 0.2s;
}
.project-card:hover p::before {
  color: goldenrod;
}
.project-card:hover p::after {
  color: goldenrod;
}
#Contact {
  background: var(--main-gray);
  width: 100%;
  height: calc(100vh - 70px);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
#Contact h2 {
  color: var(--main-white);
  font-size: 5.5rem;
  margin: 0 0 10px;
  font-weight: 600;
}
#Contact p {
  color: var(--main-white);
  font-style: italic;
  font-size: 1.8rem;
  margin: 0;
  margin-bottom: 50px;
  font-family: Poppins;
  font-weight: 200;
}
.icon-container {
  display: flex;
  width: 100%;
  justify-content: center;
  flex-wrap: wrap;
  position: relative;
}
.icon-container a {
  font-size: 2.8rem;
  color: var(--main-white);
  text-decoration: none;
  margin-right: 50px;
  margin-bottom: 50px;
  cursor: pointer;
  transition: transform 0.2s;
}
.icon-container a:hover {
  transform: scale(1.1);
}
.icon-container .tooltip {
  opacity: 0;
  position: absolute;
  transition: opacity 0.2s;
}
.icon-container a:hover .tooltip {
  opacity: 1;
}
footer {
  background-color: var(--main-gray);
  height: 100%;
  border-top: 4px solid var(--main-orange);
  padding: 3.5rem;
  display: flex;
  justify-content: space-evenly;
}
footer p {
  margin: 0;
  color: var(--main-white);
  font-size: 1.8rem;
}
